本文引用至:http://blog.xuite.net/tim0718/note/33751528

 

PHP現在推出5.3.X版本了,不過下載的時候有幾個不同版本選擇。那就是VC6 X86和VC9 X86。
根據網路上所查詢的資料
* VC6就是legacy Visual Studio 6 compiler,就是使用這個編譯器編譯的。
* VC9就是the Visual Studio 2008 compiler,就是用微軟的VS編輯器編譯的。

注意:
使用VC9版本時,需配合安裝Microsoft 2008 C++ Runtime(X86)--32位元版本的Windows操作系統
或是Microsoft 2008 C++ Runtime(X64) -- 64位元版本的Windows操作系統

那如何選擇下載哪個版本的PHP呢?
如果你是在windows下使用Apache+PHP的,請選擇VC6版本;
如果你是在windows下使用IIS+PHP的,請選擇VC9版本;

non thread safe及thread safe版本的區別主要是於多執行緒(線程)版本的支援,操作系統必需支持多執行緒(線程)

照字面上翻譯
Non Thread Safe就是非執行緒(線程)安全;
Thread Safe 是執行緒(線程)安全;
官方並不建議你將Non Thread Safe 應用於生產環境。

創作者介紹
創作者 dennis74728 的頭像
dennis74728

dennis74728

dennis74728 發表在 痞客邦 留言(0) 人氣()